<?xml version="1.0" encoding="iso-8859-1"?>
<!-- Addenda Pisa Farmaceutica  :: By Daniel Herrera T.   ::  -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:axosFER="http://www.axosnet.com">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
		<xsl:element name="axosFER:ECFD">
			<xsl:variable name="tpomon" select="/Datos/Documento/@TipoMoneda"/>
			<xsl:variable name="clvemon">
				<xsl:choose>
					<xsl:when test="$tpomon = 0">
						<xsl:text>MXP</xsl:text>
					</xsl:when>
					<xsl:when test="$tpomon = 1">
						<xsl:text>MXP</xsl:text>
					</xsl:when>
					<xsl:when test="$tpomon = 2">
						<xsl:text>USD</xsl:text>
					</xsl:when>
				</xsl:choose>
			</xsl:variable>
			<xsl:attribute name="version">1.0</xsl:attribute>
			<xsl:attribute name="noProveedor">
				<xsl:value-of select="Datos/Emisor/@noProveedor"/>
			</xsl:attribute>
			<xsl:for-each select="Datos/Documento/OrdenesCompra/OrdenCompra">
				<xsl:element name="axosFER:OrdenDeCompra">
					<xsl:attribute name="numero">
						<xsl:value-of select="@No"/>
					</xsl:attribute>
					<xsl:attribute name="moneda">
						<xsl:value-of select="$clvemon"/>
					</xsl:attribute>
					<xsl:attribute name="tipoCambio">
						<xsl:value-of select="format-number(/Datos/Documento/@TipoCambio,'0.00000')"/>
					</xsl:attribute>
					<xsl:for-each select="/Datos/Documento/Partidas/Partida[./XMLAddenda/Detalle/@OrdenCompraPartida = '']">
						<xsl:call-template name="Detalle_partida"/>
					</xsl:for-each>
				</xsl:element>	
			</xsl:for-each>
			<xsl:for-each select="Datos/Documento/XMLAddenda/Documento/OrdenesCompra/OrdenCompra">
				<xsl:if test="@NumeroOrdenCompra !=''">
					<xsl:element name="axosFER:OrdenDeCompra">
						<xsl:variable name="numorden" select="@NumeroOrdenCompra"/>
						<xsl:attribute name="numero">
							<xsl:value-of select="$numorden"/>
						</xsl:attribute>
						<xsl:attribute name="moneda">
							<xsl:value-of select="$clvemon"/>
						</xsl:attribute>
						<xsl:attribute name="tipoCambio">
							<xsl:value-of select="format-number(/Datos/Documento/@TipoCambio,'0.00000')"/>
						</xsl:attribute>
						<xsl:for-each select="/Datos/Documento/Partidas/Partida[./XMLAddenda/Detalle/@OrdenCompraPartida = $numorden]">
							<xsl:call-template name="Detalle_partida"/>
						</xsl:for-each>
					</xsl:element>
				</xsl:if>
			</xsl:for-each>
		</xsl:element>
	</xsl:template>
	<xsl:template name="Detalle_partida">
		<xsl:element name="axosFER:Posicion">
			<xsl:attribute name="numero">
				<xsl:value-of select="./XMLAddenda/Detalle/@Item"/>
			</xsl:attribute>
			<xsl:attribute name="cantidad">
				<xsl:value-of select="format-number(@Cantidad,'0.000')"/>
			</xsl:attribute>
			<xsl:attribute name="unidad">
				<xsl:value-of select="@UnidadMedida"/>
			</xsl:attribute>
			<xsl:attribute name="precio">
				<xsl:value-of select="format-number(@PrecioNeto,'0.00')"/>
			</xsl:attribute>
			<xsl:attribute name="total">
				<xsl:value-of select="format-number(@SubTotal,'0.00')"/>
			</xsl:attribute>
			<xsl:if test="./XMLAddenda/Detalle/@NotaDeEntrega !='' or /Datos/Documento/RecibosMercancia/ReciboMercancia/@Folio !=''">
				<xsl:attribute name="deliveryNote">
					<xsl:choose>
						<xsl:when test="./XMLAddenda/Detalle/@NotaDeEntrega !=''">
							<xsl:value-of select="./XMLAddenda/Detalle/@NotaDeEntrega"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="/Datos/Documento/RecibosMercancia/ReciboMercancia/@Folio"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</xsl:if>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>